Subject: Re: bug#54829: [PATCH 0/2] Update Emacs to 28.1 and add socket activation

From: Ludovic Courtès <[email-masked]>
Date: Thu, 28 Apr 2022 22:15:26 +0200

Maxime Devos <[email-masked]> skribis:

> Ludovic Courtès schreef op do 28-04-2022 om 14:15 [+0200]:
>> > +          (add-after 'unpack 'enable-elogind
>> > +            (lambda _
>> > +              (substitute* "configure.ac"
>> > +                (("libsystemd") "libelogind"))
>> 
>> I suggest making that substitution in ‘configure’…
>> 
>> >       (native-inputs
>> > -     (list pkg-config texinfo))
>> > +     (list autoconf pkg-config texinfo))
>> 
>> … so you don’t need this extra dependency.
>
> I thought the idea was to, long term, build 'configure' from source
> (except for packages low on the graph where there would be bootstrap
> problems)?
>
> https://lists.gnu.org/archive/html/guix-devel/2022-04/msg00065.html

Ah yes, that too.  See?  The power of habits, the beauty of
self-contradiction.  :-)

Liliana: I guess Maxime is right, you can keep this version.

Thanks,
Ludo’.